module Main where

import HFANN

fannDef :: [Int]
fannDef = [2, 3, 1]

main :: IO ()
main = do
  withStandardFann fannDef $ \fann -> do
    randomizeWeights fann (-0.2, 0.2)
    setActivationFunctionHidden fann fannSigmoidSymetric
    setActivationFunctionOutput fann fannSigmoidSymetric

    trainOnFile fann "examples/xor/xor.data" 2000 100 0.001
    saveFann fann "examples/xor/xor.ann"

    printConnections fann

    res <- runFann fann [1, -1]
    print res

